<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:22 PST 2021 -->
<title>Uses of Class org.apache.nutch.service.model.response.JobInfo.State (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.nutch.service.model.response.JobInfo.State (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.State.html" title="enum in org.apache.nutch.service.model.response">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/apache/nutch/service/model/response/class-use/JobInfo.State.html" target="_top">Frames</a></li>
<li><a href="JobInfo.State.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.nutch.service.model.response.JobInfo.State" class="title">Uses of Class<br>org.apache.nutch.service.model.response.JobInfo.State</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.State.html" title="enum in org.apache.nutch.service.model.response">JobInfo.State</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.service">org.apache.nutch.service</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.service.impl">org.apache.nutch.service.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.service.model.response">org.apache.nutch.service.model.response</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.service">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.State.html" title="enum in org.apache.nutch.service.model.response">JobInfo.State</a> in <a href="../../../../../../../org/apache/nutch/service/package-summary.html">org.apache.nutch.service</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/apache/nutch/service/package-summary.html">org.apache.nutch.service</a> with parameters of type <a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.State.html" title="enum in org.apache.nutch.service.model.response">JobInfo.State</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.html" title="class in org.apache.nutch.service.model.response">JobInfo</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">JobManager.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/nutch/service/JobManager.html#list-java.lang.String-org.apache.nutch.service.model.response.JobInfo.State-">list</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;crawlId,
    <a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.State.html" title="enum in org.apache.nutch.service.model.response">JobInfo.State</a>&nbsp;state)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.service.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.State.html" title="enum in org.apache.nutch.service.model.response">JobInfo.State</a> in <a href="../../../../../../../org/apache/nutch/service/impl/package-summary.html">org.apache.nutch.service.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/apache/nutch/service/impl/package-summary.html">org.apache.nutch.service.impl</a> with parameters of type <a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.State.html" title="enum in org.apache.nutch.service.model.response">JobInfo.State</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.html" title="class in org.apache.nutch.service.model.response">JobInfo</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">JobManagerImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/nutch/service/impl/JobManagerImpl.html#list-java.lang.String-org.apache.nutch.service.model.response.JobInfo.State-">list</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;crawlId,
    <a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.State.html" title="enum in org.apache.nutch.service.model.response">JobInfo.State</a>&nbsp;state)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.service.model.response">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.State.html" title="enum in org.apache.nutch.service.model.response">JobInfo.State</a> in <a href="../../../../../../../org/apache/nutch/service/model/response/package-summary.html">org.apache.nutch.service.model.response</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/apache/nutch/service/model/response/package-summary.html">org.apache.nutch.service.model.response</a> that return <a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.State.html" title="enum in org.apache.nutch.service.model.response">JobInfo.State</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.State.html" title="enum in org.apache.nutch.service.model.response">JobInfo.State</a></code></td>
<td class="colLast"><span class="typeNameLabel">JobInfo.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.html#getState--">getState</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.State.html" title="enum in org.apache.nutch.service.model.response">JobInfo.State</a></code></td>
<td class="colLast"><span class="typeNameLabel">JobInfo.State.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.State.html#valueOf-java.lang.String-">valueOf</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.State.html" title="enum in org.apache.nutch.service.model.response">JobInfo.State</a>[]</code></td>
<td class="colLast"><span class="typeNameLabel">JobInfo.State.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.State.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/apache/nutch/service/model/response/package-summary.html">org.apache.nutch.service.model.response</a> with parameters of type <a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.State.html" title="enum in org.apache.nutch.service.model.response">JobInfo.State</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">JobInfo.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.html#setState-org.apache.nutch.service.model.response.JobInfo.State-">setState</a></span>(<a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.State.html" title="enum in org.apache.nutch.service.model.response">JobInfo.State</a>&nbsp;state)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../../org/apache/nutch/service/model/response/package-summary.html">org.apache.nutch.service.model.response</a> with parameters of type <a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.State.html" title="enum in org.apache.nutch.service.model.response">JobInfo.State</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.html#JobInfo-java.lang.String-org.apache.nutch.service.model.request.JobConfig-org.apache.nutch.service.model.response.JobInfo.State-java.lang.String-">JobInfo</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;generateId,
       <a href="../../../../../../../org/apache/nutch/service/model/request/JobConfig.html" title="class in org.apache.nutch.service.model.request">JobConfig</a>&nbsp;jobConfig,
       <a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.State.html" title="enum in org.apache.nutch.service.model.response">JobInfo.State</a>&nbsp;state,
       <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;msg)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../org/apache/nutch/service/model/response/JobInfo.State.html" title="enum in org.apache.nutch.service.model.response">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/apache/nutch/service/model/response/class-use/JobInfo.State.html" target="_top">Frames</a></li>
<li><a href="JobInfo.State.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
